summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Mair-Keimberger <m.mairkeimberger@gmail.com>2018-09-30 14:13:30 +0200
committerAaron Bauman <bman@gentoo.org>2019-02-09 14:55:03 -0500
commitc2cd859b9ea562059326cda6cc5fe9885745c7f6 (patch)
treea069c0770a96efb900a9e2f92fea6e126b77393d /dev-cpp/ETL
parentdev-ml/ocaml-autoconf: revbump for EAPI7 (diff)
downloadgentoo-c2cd859b9ea562059326cda6cc5fe9885745c7f6.tar.gz
gentoo-c2cd859b9ea562059326cda6cc5fe9885745c7f6.tar.bz2
gentoo-c2cd859b9ea562059326cda6cc5fe9885745c7f6.zip
dev-cpp/ETL: EAPI7 revbump, improve ebuild
Closes: https://bugs.gentoo.org/663798 Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/9031 Signed-off-by: Aaron Bauman <bman@gentoo.org>
Diffstat (limited to 'dev-cpp/ETL')
-rw-r--r--dev-cpp/ETL/ETL-0.04.15-r1.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/dev-cpp/ETL/ETL-0.04.15-r1.ebuild b/dev-cpp/ETL/ETL-0.04.15-r1.ebuild
new file mode 100644
index 00000000000..98488ac2a7b
--- /dev/null
+++ b/dev-cpp/ETL/ETL-0.04.15-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Multi-platform class and template library"
+HOMEPAGE="https://www.synfig.org"
+SRC_URI="mirror://sourceforge/synfig/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+ default
+ sed -i -e 's/CXXFLAGS="`echo $CXXFLAGS | sed s:-g::` $debug_flags"//' \
+ -e 's/CFLAGS="`echo $CFLAGS | sed s:-g::` $debug_flags"//' \
+ m4/subs.m4 || die
+
+ eautoreconf
+}